GET openapi/centers/{centerId}/schedule?startDate={startDate}&includeOnlineCenterClasses={includeOnlineCenterClasses}&includeCrossCenterGroupClasses={includeCrossCenterGroupClasses}
Authorization
Access to this endpoint is granted if all following conditions are true:
- Authenticated territory has access to center which matches identifier given in "centerId" uri parameter.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| centerId | globally unique identifier |
Required |
|
| startDate | date |
None. |
|
| includeOnlineCenterClasses | boolean |
Default value is True |
|
| includeCrossCenterGroupClasses | boolean |
Default value is True |
Body Parameters
None.
Response Information
Resource Description
Collection of PearsonEnglish.LearningServices.Wse.Models.Views.ScheduledClassViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| ClassId | string |
None. |
|
| ClassCode | string |
None. |
|
| ClassType | integer |
None. |
|
| NumberOfSeats | integer |
None. |
|
| NumberOfStudents | integer |
None. |
|
| IsComplete | boolean |
None. |
|
| NumberOfStudentsOnStandbyList | integer |
None. |
|
| MaxNumberOfStudentsOnStandbyList | integer |
None. |
|
| IsClosed | boolean |
None. |
|
| IsOnline | boolean |
None. |
|
| StartDate | date |
None. |
|
| Duration | integer |
None. |
|
| Categories | Collection of PearsonEnglish.LearningServices.Core.Models.Views.CategoryViewModel |
None. |
|
| CategoriesAbbreviations | string |
None. |
|
| ClassDescription | string |
None. |
|
| CompanyId | globally unique identifier |
None. |
|
| AcceptsStandby | boolean |
None. |
|
| TeacherId | globally unique identifier |
None. |
|
| TeacherSsdsId | string |
None. |
|
| IsVisibleInGroup | boolean |
None. |
|
| IsB2B | boolean |
None. |
|
| IsStandbyListFull | boolean |
None. |
|
| CenterId | globally unique identifier |
None. |
|
| CenterName | string |
None. |
|
| IsTechnologyEnabledCenter | boolean |
None. |
|
| IsScheduledInOnlineCenter | boolean |
None. |
|
| IsTeen | boolean |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"Id": "a821ce79-93c7-4610-bcf3-3e544ad6dafe",
"ClassId": "sample string 2",
"ClassCode": "sample string 3",
"ClassType": 4,
"NumberOfSeats": 5,
"NumberOfStudents": 6,
"IsComplete": true,
"NumberOfStudentsOnStandbyList": 1,
"MaxNumberOfStudentsOnStandbyList": 7,
"IsClosed": true,
"IsOnline": true,
"StartDate": "2026-03-22T00:08:49.5529373+00:00",
"Duration": 9,
"Categories": [
{
"Id": "52305298-a210-4c05-a21d-4854e4522ba5",
"Type": "sample string 2",
"Sequence": 1,
"Path": "sample string 3",
"Attributes": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"ChildCategories": []
},
{
"Id": "52305298-a210-4c05-a21d-4854e4522ba5",
"Type": "sample string 2",
"Sequence": 1,
"Path": "sample string 3",
"Attributes": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"ChildCategories": []
}
],
"CategoriesAbbreviations": "sample string 10",
"ClassDescription": "sample string 11",
"CompanyId": "43cf9926-1cca-4a9c-ab7f-d3870a8ed28e",
"AcceptsStandby": true,
"TeacherId": "14072461-7bd2-4452-a8ac-506cf0640c3a",
"TeacherSsdsId": "sample string 14",
"IsVisibleInGroup": true,
"IsB2B": true,
"IsStandbyListFull": false,
"CenterId": "d0970801-79a6-4de8-af19-016018307d60",
"CenterName": "sample string 17",
"IsTechnologyEnabledCenter": true,
"IsScheduledInOnlineCenter": true,
"IsTeen": true
},
{
"Id": "a821ce79-93c7-4610-bcf3-3e544ad6dafe",
"ClassId": "sample string 2",
"ClassCode": "sample string 3",
"ClassType": 4,
"NumberOfSeats": 5,
"NumberOfStudents": 6,
"IsComplete": true,
"NumberOfStudentsOnStandbyList": 1,
"MaxNumberOfStudentsOnStandbyList": 7,
"IsClosed": true,
"IsOnline": true,
"StartDate": "2026-03-22T00:08:49.5529373+00:00",
"Duration": 9,
"Categories": [
{
"Id": "52305298-a210-4c05-a21d-4854e4522ba5",
"Type": "sample string 2",
"Sequence": 1,
"Path": "sample string 3",
"Attributes": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"ChildCategories": []
},
{
"Id": "52305298-a210-4c05-a21d-4854e4522ba5",
"Type": "sample string 2",
"Sequence": 1,
"Path": "sample string 3",
"Attributes": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"ChildCategories": []
}
],
"CategoriesAbbreviations": "sample string 10",
"ClassDescription": "sample string 11",
"CompanyId": "43cf9926-1cca-4a9c-ab7f-d3870a8ed28e",
"AcceptsStandby": true,
"TeacherId": "14072461-7bd2-4452-a8ac-506cf0640c3a",
"TeacherSsdsId": "sample string 14",
"IsVisibleInGroup": true,
"IsB2B": true,
"IsStandbyListFull": false,
"CenterId": "d0970801-79a6-4de8-af19-016018307d60",
"CenterName": "sample string 17",
"IsTechnologyEnabledCenter": true,
"IsScheduledInOnlineCenter": true,
"IsTeen": true
}
]